libgdamm Reference Documentation

Main Page Namespaces Book

# value.h File Reference

## Namespaces

namespace | Gnome
namespace | Gnome::Gda

## Classes

class | Gnome::Gda::Value
| Use value_type() to identify the value type at runtime. More...

## Typedefs

typedef GdaGeometricPoint | Gnome::Gda::GeometricPoint
typedef GdaGeometricPoint | Gnome::Gda::GeometricPoint
typedef GdaTime | Gnome::Gda::Time
typedef GdaTimestamp | Gnome::Gda::Timestamp
typedef Glib::ListHandle< Value, ValueTraits > | Gnome::Gda::ValueList
typedef Glib::SListHandle< Value, ValueTraits > | Gnome::Gda::ValueSList

## Functions

GType | Gnome::Gda::value_get_type_binary ()
GType | Gnome::Gda::value_get_type_blob ()
GType | Gnome::Gda::value_get_type_geometric_point ()
GType | Gnome::Gda::value_get_type_list ()
GType | Gnome::Gda::value_get_type_null ()
GType | Gnome::Gda::value_get_type_numeric ()
GType | Gnome::Gda::value_get_type_short ()
GType | Gnome::Gda::value_get_type_time ()
GType | Gnome::Gda::value_get_type_timestamp ()
GType | Gnome::Gda::value_get_type_ushort ()